Subject: Re: bug#59252: 29.0.50; Add new ts-modes to eglot-server-programs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Nov 2022 09:23:29 +0200

> Date: Sun, 27 Nov 2022 08:11:00 +0100
> From: Theodor Thornhill <[email-masked]>
> CC: [email-masked],
>  João Távora <[email-masked]>
> 
> >Please remember to add the bug number, like this:
> >
> >* lisp/progmodes/eglot.el (eglot-server-programs): Add js-ts-mode as
> >an alternative.  (Bug#59252)
> >
> >(I did that for you before pushing.)
> 
> Thanks - I can start creating the bug before the patch, so that I know what the bug number will be. It just often take a really long time before I get the acknowledge for the bug :)

If you send only a single message to the bug tracker, and include the patch
there, you indeed don't know the number, and then the person who pushed the
commit needs to add that.  This is okay.  There's no need to send the patch
in two parts (although you can do this if you feel like it).

But if you send an updated patch, and already know the bug number, please
add it.

Thanks.